headless lms

Follow or mute a post, or clear either

PUT /api/member/posts/{postId}/subscription. Follow or mute a post, or clear either. Headless LMS Posts API reference.

PUT
/api/member/posts/{postId}/subscription

For anyone who can read the post. following notifies you of its new comments. muted stops its activity notifying you, until mutedUntil when given; mentions and actions on you still notify. none clears both.

Path Parameters

postId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Follow the post: you are notified of its new comments

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/member/posts/string/subscription" \  -H "Content-Type: application/json" \  -d '{    "state": "following"  }'
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}